Bug 238154 - Kernel-xen-2.6 fail to boot.
Kernel-xen-2.6 fail to boot.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel-xen-2.6 (Show other bugs)
6
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Juan Quintela
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-27 11:13 EDT by Ning Jiang
Modified: 2008-02-26 19:08 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-26 19:08:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ning Jiang 2007-04-27 11:13:35 EDT
Description of problem:
After installation of kernel-xen-2.6, xen, virt-manager, if kernel-xen is
selected from grub menu, system won't boot. After the first two green "OK"s,
screen went black, and HDD is at active at all. The kernels  that I have are: 
[ning@localhost ~]$ rpm -qa --queryformat
"%{NAME}-%{VERSION}-%{RELEASE}.%{ARCH}\n" | grep kernel
kernel-2.6.18-1.2798.fc6.i686
kernel-2.6.20-1.2944.fc6.i686
kernel-headers-2.6.20-1.2944.fc6.i386
kernel-xen-2.6.20-1.2944.fc6.i686

cpu info:
[ning@localhost ~]$ grep vmx /proc/cpuinfo
flags           : fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca cmov pat
clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe nx constant_tsc pni monitor vmx
est tm2 xtpr
flags           : fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca cmov pat
clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe nx constant_tsc pni monitor vmx
est tm2 xtpr

The virtualization featuer is enabled in the bios. 

However, I don't have a sub-directory in /sys called /hypervisor before the
installation of kernel-xen.


Version-Release number of selected component (if applicable):


How reproducible:
Every time trying boot from kerenl-xen

Steps to Reproduce:
1.  power on system
2. select kernel-xen from grub menu
3. 
  
Actual results:
After two green [OK] pops out, screen went black, no activity on HDD. Basically,
system hangs. 

Expected results:
system boot to login window.

Additional info:
Comment 1 Eduardo Habkost 2007-06-04 09:09:16 EDT
Could you check if the problem persists when using kernel-xen 
2.6.20-1.2952.fc6, that is on FC6 updates-testing repository?
Comment 2 Chris Lalancette 2008-02-26 19:08:00 EST
This report targets FC6, which is now end-of-life.

Please re-test against Fedora 7 or later, and if the issue persists, open a new bug.

Thanks

Note You need to log in before you can comment on or make changes to this bug.